Seller payouts
Update a seller payout batch
Switches how a batch will be settled by updating its payment_option. Move a batch to manual to take it out of automated processing and pay the seller yourself, then record the transfer with the manual-payment endpoint; move it back to auto to let the connected payout provider settle it. Returns the updated SellerPayoutBatch.
PUT
/
orders
/
payouts
/
invoices
/
batches
/
{id}
Update a seller payout batch
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"payout_batch": {
"batch_number": "<string>",
"credit_adjustments": "<string>",
"debit_adjustments": "<string>",
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"marketplace_detail": {
"id": "01KVZ1TK3V1ZB8TK2V3E3G64FS",
"marketplace_type": "internal",
"name": "Davai Marketplace",
"slug": "davai-marketplace",
"store_id": "f7ul64jr3n"
},
"payment_gateway": "<string>",
"payment_gateway_reference_no": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"payment_option": "auto",
"payments": [
{
"transaction_type": "payment",
"request_number": "<string>",
"amount": "<string>",
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_success_date": "<string>",
"payment_reference_number": "<string>",
"payment_method": "Card",
"payment_mode": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "Visa",
"bank_name": "<string>",
"bank_account_number": "<string>"
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "created",
"to_be_paid": "<string>",
"total_charges": "<string>",
"total_invoice_amount": "<string>",
"total_loyalty_point_redeemed": "<string>",
"adjustments": [
{
"adjustment_type": "credit",
"amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"payout_batch_id": "<string>",
"reference_field": "<string>",
"reference_id": "<string>",
"reference_type": "<string>",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "pending",
"tax_amount": "<string>"
}
],
"allowed_actions": [
"cancel-batch"
],
"invoices": [
{
"batch_assigned_at": "2023-11-07T05:31:56Z",
"billing_business_name": "<string>",
"charges": [
{
"base_amount": "<string>",
"charge_amount": "<string>",
"charge_basis": "percent",
"charge_fixed_amount": "<string>",
"charge_percent": "<string>",
"charge_type": "commission",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"invoice_number": "<string>",
"remarks": "<string>",
"tax_amount": "<string>",
"tax_rate": "<string>"
}
],
"coupon_discount_amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"grand_total": 123,
"id": "<string>",
"invoice_date": "2023-11-07T05:31:56Z",
"invoice_id": 123,
"invoice_number": "<string>",
"loyalty_point_redeemed": 123,
"marketplace_detail": {},
"marketplace_charges": "<string>",
"marketplace_charges_tax_amount": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"order_number": "<string>",
"payout_batch_id": "<string>",
"payout_eligible_at": "2023-12-25",
"promotion_discount_amount": 123,
"seller_id": "<string>",
"seller_name": "<string>",
"shipment_id": 123,
"shipment_reference_no": "<string>",
"shipping_amount": 123,
"shipping_amount_including_tax": 123,
"status": "pending",
"sub_total": 123,
"sub_total_including_tax": 123
}
]
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Update a seller payout batch
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"payout_batch": {
"batch_number": "<string>",
"credit_adjustments": "<string>",
"debit_adjustments": "<string>",
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"marketplace_detail": {
"id": "01KVZ1TK3V1ZB8TK2V3E3G64FS",
"marketplace_type": "internal",
"name": "Davai Marketplace",
"slug": "davai-marketplace",
"store_id": "f7ul64jr3n"
},
"payment_gateway": "<string>",
"payment_gateway_reference_no": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"payment_option": "auto",
"payments": [
{
"transaction_type": "payment",
"request_number": "<string>",
"amount": "<string>",
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_success_date": "<string>",
"payment_reference_number": "<string>",
"payment_method": "Card",
"payment_mode": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "Visa",
"bank_name": "<string>",
"bank_account_number": "<string>"
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "created",
"to_be_paid": "<string>",
"total_charges": "<string>",
"total_invoice_amount": "<string>",
"total_loyalty_point_redeemed": "<string>",
"adjustments": [
{
"adjustment_type": "credit",
"amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"payout_batch_id": "<string>",
"reference_field": "<string>",
"reference_id": "<string>",
"reference_type": "<string>",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "pending",
"tax_amount": "<string>"
}
],
"allowed_actions": [
"cancel-batch"
],
"invoices": [
{
"batch_assigned_at": "2023-11-07T05:31:56Z",
"billing_business_name": "<string>",
"charges": [
{
"base_amount": "<string>",
"charge_amount": "<string>",
"charge_basis": "percent",
"charge_fixed_amount": "<string>",
"charge_percent": "<string>",
"charge_type": "commission",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"invoice_number": "<string>",
"remarks": "<string>",
"tax_amount": "<string>",
"tax_rate": "<string>"
}
],
"coupon_discount_amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"grand_total": 123,
"id": "<string>",
"invoice_date": "2023-11-07T05:31:56Z",
"invoice_id": 123,
"invoice_number": "<string>",
"loyalty_point_redeemed": 123,
"marketplace_detail": {},
"marketplace_charges": "<string>",
"marketplace_charges_tax_amount": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"order_number": "<string>",
"payout_batch_id": "<string>",
"payout_eligible_at": "2023-12-25",
"promotion_discount_amount": 123,
"seller_id": "<string>",
"seller_name": "<string>",
"shipment_id": 123,
"shipment_reference_no": "<string>",
"shipping_amount": 123,
"shipping_amount_including_tax": 123,
"status": "pending",
"sub_total": 123,
"sub_total_including_tax": 123
}
]
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}